package Getmail;

use strict;
use CGI qw(:standard);
use lib "/home/httpd/htdocs/pronto/web";
use Pronto::Get;
use Pronto::Data::Message;

#
# Checks the given accounts for new mail
#
sub do_check {
	my ($session, @selected) = @_;
	$| = 1;

	my $newStyle=<<END;
 <!--
 a:link    { text-decoration:none; color:#FFFFFF; }
 a:visited { text-decoration:none; color:#FFFFFF; }
 a:hover   { background-color:#00387c; color:#FFFFFF; }
 a:active  { text-decoration:none; color:#FFFFFF; }
 -->
END

	print header, start_html(-BGCOLOR=>'#425C7D', -TEXT=>'#FFFFFF', -style=>{-code=>$newStyle});
	for (my $c; $c < scalar(@selected); $c++) {
		&getmail($selected[$c]);
		print "<i>done</i><br><br>\n";
	}

	print "<b>Check of all selected accounts completed.</b><br><br>\n";
        print "<a href=\"/pronto/wpronto.pl?t=folders&session=".param('session')."\" style=\"color:white\">Back to folder list</a>\n", end_html;
}

#
# Let the user choose which accounts to check
#
sub checkwin{
	my $session = shift;

	print header;
	my $sql = "SELECT id,descr,def FROM accounts";
	my $query=$main::conn->prepare($sql);
	$query->execute() || die $query->errstr;

	my @accounts;
	while (my ($id, $descr, $def) = $query->fetchrow_array()) {
		my $string = "<input type=\"checkbox\" name=\"account\" value=\"$id\"";
		if ($def eq "y") { $string .= " checked";}
		$string .= "> $descr";
		push @accounts, $string;
	}

	$main::template->process("checkwin.html", {
		accounts => \@accounts,
		session => param('session') }) || die $main::template->error();
}

#
# Checks the selected accounts for new mail
#
sub getmail {
	my $account = shift;

	if (open(TMP,"<$main::prefs{'MailDir'}/prontoget.running")) {
		my $proc = <TMP>;
		if(kill (0,$proc)) {
			&main::html_die("Prontoget is already running. if this is not true, please delete\n
			prontoget.running in " . $main::prefs{'MailDir'} . "\n");
			exit;
		} 
		else {
			close(TMP);
			unlink "$main::prefs{'MailDir'}/prontoget.running";
		}
	}

	if ($account ne "") {
		$Pronto::Get::acct = $account;
	} else {
		$Pronto::Get::acct = "all";
	}
	$Pronto::Get::inter = 0;
	$Pronto::Get::called_from_get = 0;
	&Pronto::Get::get();
}

sub quit {
	if(open(TMP,"<$main::prefs{'MailDir'}/pronto.running")) {
		my $proc = <TMP>;
		close(TMP);
		if(kill(0,$proc)) {
			kill('USR2',$proc);
		}
	}
}

1;
