package Messages;
use strict;

use Gtk::CList;
use Pronto::MessageList;
use Pronto::FolderTree;
use Gtk::Dummy;
use Gtk::Gdk::Pixmap;
use Gtk::Pixmap;
use CGI qw(:standard);

sub create {
	my $session = shift;
	my $box = shift;
	our $root_window;

	$main::prefs{WebPixmapDir} = "/pronto/pixmaps";

	$root_window->{button} = new ButtonDummy;

	$main::ft_id{selected} = $box;

	if (!$main::ft_id{selected}) {
	  $main::ft_id{selected} = 1;
	}

	$main::folder_tree->{selection} = ["selected"];

	Pronto::MessageList->make_clist();
	Pronto::MessageList->make_clist_sigs;
	$main::message_clist->{template} = $main::template;

	# Set the name of this message list
	my $query = $main::conn->prepare("select name from boxlist where id = ?");
	$query->execute($main::ft_id{selected});
	$main::message_clist->{title} = $query->fetchrow_array();
	Pronto::MessageList->refresh_messages();

	# Get all folders where messages can be moved to
	my $sql = "select name,id from boxlist order by id";
	$query=$main::conn->prepare($sql);
	$query->execute() || die $query->errstr;
	my @boxes;
	while (my ($name, $id) = $query->fetchrow_array()) {
		if (($id>0) && ($id<1000) && ($id!=$main::ft_id{selected})) {
			push @boxes, ($name, $id);
		}
	}
	$main::message_clist->{boxlist} = \@boxes;

	print header;

	bless $main::message_clist, "Gtk::CList";
	$main::message_clist->draw($session, $main::ft_id{selected});
}

sub set_labels {
  return;
}

sub set_win_title {
  return;
}


package ButtonDummy;

sub new {
  my $class = shift;

  my $self = {};

  return bless $self, $class;
}

sub visible {
  return;
}

sub hide {
  return;
}

sub show {
  return;
}

1;
