package Login;
use strict;

use CGI qw(:standard);

sub login_first {
	print header;
	$main::template->process("login.html", {title => "Pronto WebMail login",
					    stage => 1}) || die $main::template->error();
}

sub login_second {
	use OTP qw(authenticate challenge);

	my $userid = shift;

	my $sth = $main::conn->prepare("SELECT runs, seed FROM web_otp WHERE user_id = '$userid'")
	    || die $main::conn->errstr;
	$sth->execute() || die $sth->errstr;
	my ($runs, $seed) = $sth->fetchrow();
	$sth->finish();
	&main::html_die("no otp-infos for $userid") unless $runs && $seed;
	print header;
	$main::template->process("login.html", {title => "Pronto WebMail login",
	    			      stage => 2,
	    			      userid => $userid,
	    			      challenge => challenge($runs, $seed)}) || die $main::template->error();
}

sub login_third {
	my $userid = shift;
	my $session_timeout = shift;
	my $authenticated = shift;
	my $new_pass = shift;

	if (!($authenticated)) {
		my $sth = $main::conn->prepare("SELECT last_otp FROM web_otp WHERE user_id = '$userid'")
			|| die $main::conn->errstr;
		$sth->execute() || die $sth->errstr;
		my ($last_pass) = $sth->fetchrow();
		$sth->finish();
		&main::html_die("no last otp for $userid") unless $last_pass;
		my $pass = authenticate($new_pass, $last_pass);
		&main::html_die("I was unable to authenticate you!") unless $pass;

		my $sql = "UPDATE web_otp SET last_otp = '$pass', runs = runs - 1 WHERE user_id = '$userid'";
		$main::conn->do($sql) || die $main::conn->errstr;
	}

	my $sql = "DELETE FROM web_session WHERE user_id = '$userid'";
	$main::conn->do($sql) || die $main::conn->errstr;

	my $session = int(rand(1000000000));

	$sql = "INSERT INTO web_session (user_id, IP, session, valid_till) " . 
	"VALUES ('$userid', '$ENV{'REMOTE_ADDR'}', $session, " . (time() + $session_timeout) . ")";
	$main::conn->do($sql) || die $main::conn->errstr;

	print redirect("/pronto/wpronto.pl?t=frames&session=$session");
}

1;
